.footer {
  padding-top: 35px;
  padding-bottom: 40px;
  color: #ffffff;
  background: #35312f;

  &__container {
    display: flex;
    justify-content: space-between;
  }

  & p {
    color: #ffffff;
  }

  &__description {
    margin-bottom: 30px;
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;

    & strong {
      font-weight: 600;
      font-size: 16px;
      line-height: 20px;
    }
  }

  &__logo {
    display: block;
    max-width: 270px;
  }

  &__col {
    &--1 {
      display: flex;
      flex-direction: column;
      width: 100%;
      max-width: 360px;
    }

    &--2 {
      width: 100%;
      max-width: 235px;
    }

    &--3 {
      width: 100%;
      max-width: 150px;
    }

    &--4 {
      width: 100%;
      max-width: 310px;
    }
  }

  &__title {
    margin-bottom: 15px;
    font-weight: 600;
    font-size: 18px;
    line-height: 22px;
    color: #ffb301;
  }
}

.footer-nav {
  margin: 0;
  padding: 0;
  list-style: none;

  & li {
    margin-bottom: 15px;
  }

  & a {
    font-size: 17px;
    line-height: 21px;
    color: #ffffff;
    text-decoration: none;
    transition: all 0.3s;

    &:hover {
      color: $prime;
    }
  }
}

.footer-info {
  margin-bottom: 10px;

  &__title {
    font-weight: 600;
    font-size: 16px;
    line-height: 20px;
    color: #ffffff;
  }

  & p {
    margin-bottom: 0;
    font-weight: 300;
    font-size: 14px;
    line-height: 17px;
    color: #ffffff;
  }
}

.footer-contact {
  display: flex;
  margin-top: 15px;

  & a {
    display: block;
    font-weight: 500;
    font-size: 18px;
    line-height: 22px;
    color: #ffffff;
    text-decoration: none;
    white-space: nowrap;

    &[href^="tel"] {
      margin-right: 25px;
    }
  }
}

.footer-list {
  margin: 0;
  padding: 0;
  list-style: none;

  & li {
    margin-bottom: 25px;
  }

  & a {
    display: block;
    font-weight: 600;
    font-size: 18px;
    line-height: 22px;
    color: #ffb301;
    text-decoration: none;
  }
}


.copyright {
  margin-top: auto;
  font-weight: 500;
  font-size: 12px;
  line-height: 15px;
  color: #ffffff;
}



@media(max-width:1170px) {
  .footer {
    &__container {
      flex-wrap: wrap;
    }

    &__col {
      width: 100%;
      max-width: 48%;
      margin-bottom: 30px;

      &--1 {
        order: 1;
      }

      &--4 {
        order: 2;
      }

      &--2,
      &--3 {
        order: 3;
      }
    }
  }
}


@media(max-width:768px) {
  .footer {
    &__col {
      max-width: 400px;
    }
  }

  .copyright {
    margin-top: 30px;
  }
}
